# Serendipity - A reliable, secure & extensible PHP blog

[Serendipity](https://s9y.org) is a PHP-powered weblog engine that gives the user an easy way to maintain a blog. While the default package is designed for the casual blogger, Serendipity offers an expandable framework with the power for professional applications.

![Serendipity Example](https://www.onli-blogging.de/uploads/s9y_example.png)

## Installation

On most hosters, everything needed to run Serendipity should already be installed. If you install it on your custom server, install PHP >= 7.0, MySQL/MariaDB, PostgreSQL or SQLite, and Apache. Imagemagick is also useful. Upload the files from [a release archive](https://github.com/s9y/Serendipity/releases) to your webroot and visit your URL to start the installer. 

For more details, please consult [the manual](https://docs.s9y.org/docs/users/getting-started/fresh-installation.html).

## Features

By default, Serendipity includes:

 1. An editor to write blog entries
 1. Support for trackbacks and pingbacks
 1. A media library to upload images, videos and other files and add them into entries
 1. Integrated anti-spam measures
 1. A collection of themes that can be selected in the backend
 1. A plugin management interface
 1. Categories that can be applied to written blog entries
 1. Groups and user management
 
Via plugins, additional functionality can easily be added. Some popular plugins add

 1. Support for static pages, transforming Serendipity in a small CMS
 1. Additional anti-spam features
 1. Tags, in addition to categories
 1. Markup languages like Markdown and Textile
 
Plugins can be added in the backend plugin interface without the need to manually upload files.

## Support

The website contains helpful [documentation](https://docs.s9y.org/docs/index.html) that might answer your questions.

Please visit [the forums](https://board.s9y.org/) for additional questions and discussions. If you are more comfortable with Github or the questions are more code related, you can also [open an issue](https://github.com/s9y). Please keep the [Code of Conduct](https://docs.s9y.org/docs/contributing/code-of-conduct.html) in mind when doing so.

You can also join us in [the Gitter channel](https://gitter.im/s9y/lobby) to get help from other users or developers.

## Development

Serendipity is developed by an independent and open [team](https://docs.s9y.org/team.html). Current development focus in on carefully modernizing the software while staying backwards compatible. If you want to contribute changes, you can send in a pull request and we will work with you to bring the changes into the software. Do that a few times and we will offer you to join the team to get direct access to the repository. 

If you want to request features, you can open a thread [in the forum](https://board.s9y.org/) or open an issue on Github instead. Much of the development of Serendipity is user driven, feature requests are welcome.

Join us in [the Gitter channel](https://gitter.im/s9y/lobby) to discuss with other developers.

The [license of this project](https://github.com/s9y/Serendipity/blob/master/LICENSE) is the BSD 3-Clause license. It's a permissive license allowing free usage of the code and derived projects, including commercial and closed source usage.
